Package com.salesforce.datacloud.jdbc.core

## Class MetadataCursor.ListGetter

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.MetadataCursor.ListGetter

Enclosing class:
  MetadataCursor

    protected class MetadataCursor.ListGetter
    extends Object

### Field Summary

Fields
`protected int` `index`

### Constructor Summary

Constructors
`ListGetter​(int index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getObject()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### index

    protected final int index

### Constructor Detail

#### ListGetter

    public ListGetter​(int index)

### Method Detail

#### getObject

    public Object getObject()
                     throws SQLException

Throws:
  `SQLException`